AlwaysLogging = LibStub("AceAddon-3.0"):NewAddon("AlwaysLogging", "AceConsole-3.0")

local L = LibStub("AceLocale-3.0"):GetLocale("AlwaysLogging", true)
local FullPlayerName = (GetUnitName("PLAYER", false) .. "-" .. string.gsub(string.gsub(GetRealmName(), "-", ""), "%s+", ""))

local function CheckLogStatus()
	if AlwaysLoggingData[FullPlayerName] then
		if not LoggingCombat() then
			LoggingCombat(true)
			AlwaysLogging:Print(L["Combat Log Enabled"])
			C_Timer.After(60, CheckLogStatus)
		else
			C_Timer.After(60, CheckLogStatus)
		end
	else
		if LoggingCombat() then
			LoggingCombat(false)
			AlwaysLogging:Print(L["Combat Log Disabled"])
		end
	end
end

function AlwaysLogging:OnInitialize()
	
	if AlwaysLoggingData == nil then
		AlwaysLoggingData = {}
	end
	
	if AlwaysLoggingData[FullPlayerName] == nil then
		AlwaysLoggingData[FullPlayerName] = false
	elseif AlwaysLoggingData[FullPlayerName] then
		CheckLogStatus()
	end
	
	local options = {
		name = L["Options"],
		handler = self,
		type = "group",
		childGroups = "tab",
		args = {
			author = {
				order = 1,
				type = "description",
				name = "|cFFFFE300" .. L["Author"] .. "|r Tempuseteri-Area52",
				width = "full",
			},
			translators = {
				order = 2,
				type = "description",
				name = "|cFFFFE300" .. L["Translators"] .. "|r Projetisthename (French)",
				width = "full",
			},
			enable = {
				order = 3,
				type = "toggle",
				name = L["Enable"],
				desc = L["Enable Desc"],
				width = "double",
				get = function()
					return AlwaysLoggingData[FullPlayerName]
				end,
				set = function(info, val)
					AlwaysLoggingData[FullPlayerName] = val
					if val then
						AlwaysLogging:Print(L["Log Enabled Msg"])
					elseif not val then
						AlwaysLogging:Print(L["Log Disabled Msg"])
					end
					CheckLogStatus()
				end,
			}
		}
	}
	
	LibStub("AceConfig-3.0"):RegisterOptionsTable("AlwaysLogging", options)
	alwaysloggingOptions = LibStub("AceConfigDialog-3.0"):AddToBlizOptions("AlwaysLogging", "Always Logging")
end